> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Update feature flags

> Update the state of one or more feature flags.



## OpenAPI

````yaml /openapi/admin.json patch /feature-flags
openapi: 3.1.0
info:
  title: Nudj Admin API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/admin
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /feature-flags:
    patch:
      tags:
        - Feature Flags
      summary: Update feature flags
      description: Update the state of one or more feature flags.
      operationId: updateFeatureFlags
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                flags:
                  type: array
                  items:
                    $ref: '#/components/schemas/FeatureFlag'
              required:
                - flags
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FeatureFlag'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    FeatureFlag:
      type: object
      properties:
        key:
          type: string
          enum:
            - anonymous-account-conversion
            - anonymous-login
            - force-oidc-authentication
            - user-personalisation
            - disable-achievements
            - disable-gamification
            - fixed-points-distribution
            - leaderboard
            - points-system
            - streaks
            - anonymise-leaderboard
            - anonymise-user-data
            - community-site-navigation
            - disable-comments-on-posts
            - disable-achievements-tab
            - disable-challenges-tab
            - disable-discover-tab
            - disable-posts
            - disable-posts-tab
            - disable-reward-tab
            - disable-shop
            - enable-refer-a-friend
            - loyalty-card-collection
            - enable-user-language-switching
          description: The feature flag key
        enabled:
          type: boolean
          description: Whether the feature is enabled
      required:
        - key
        - enabled
      title: Feature Flag
      description: A feature flag configuration
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````